=== modified file 'tests/include.am'
--- tests/include.am	2009-12-05 08:37:55 +0000
+++ tests/include.am	2009-12-16 00:22:46 +0000
@@ -95,6 +95,9 @@
 test-valgrind:
 	( cd tests && $(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --valgrind --force --suite=main,$(PLUGIN_TESTS))
 
+test-valgrind-suppressions:
+	( cd tests && $(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --valgrind --valgrind-option='--gen-suppressions=all' --valgrind-option='--show-reachable=yes' --force --suite=main,$(PLUGIN_TESTS))
+
 test-junitxml:
 	( cd tests && $(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=main,$(PLUGIN_TESTS) --subunit | subunit2junitxml --no-passthrough > junit-format.xml )
 

=== modified file 'tests/valgrind.supp'
--- tests/valgrind.supp	2009-12-08 22:43:58 +0000
+++ tests/valgrind.supp	2009-12-16 00:21:07 +0000
@@ -881,6 +881,17 @@
 }
 
 {
+   Leak in dlopen()
+   Memcheck:Leak
+   fun:calloc
+   ...
+   fun:dlopen
+   fun:_ZN8drizzled6plugin7Library11loadLibraryERKSs
+   fun:_ZN8drizzled6plugin8Registry10addLibraryERKSs
+}
+
+
+{
    Valgrind has issues tracking the deallocation of plugin objects.
    Memcheck:Leak
    fun:malloc
@@ -902,7 +913,40 @@
 }
 
 {
-   <insert_a_suppression_name_here>
+   Leak in dlclose()
+   Memcheck:Leak
+   fun:malloc
+   ...
+   fun:dlclose
+   fun:_ZN8drizzled6plugin7LibraryD1Ev
+   fun:_ZN8drizzled6plugin8RegistryD1Ev
+   fun:_ZN8drizzled6plugin8Registry8shutdownEv
+   fun:main
+}
+
+{
+   dlclose()
+   Memcheck:Leak
+   fun:malloc
+   ...
+   fun:dlopen
+   fun:_ZN8drizzled6plugin7Library11loadLibraryERKSs
+   fun:_ZN8drizzled6plugin8Registry10addLibraryERKSs
+}
+
+{
+   dlopen()
+   Memcheck:Leak
+   fun:malloc
+   ...
+   fun:dlopen
+   fun:_ZN8drizzled6plugin7Library11loadLibraryERKSs
+   fun:_ZN8drizzled6plugin8Registry10addLibraryERKSs
+   fun:_ZL16plugin_load_listRN8drizzled6plugin8RegistryEP11st_mem_rootPiPPcSs
+}
+
+{
+   static var in getpwnam
    Memcheck:Leak
    fun:malloc
    fun:nss_parse_service_list
@@ -914,3 +958,32 @@
    fun:main
 }
 
+{
+   pthread_cancel_init issue.
+   Memcheck:Leak
+   fun:malloc
+   ...
+   fun:pthread_cancel_init
+   fun:_Unwind_ForcedUnwind
+   fun:__pthread_unwind
+   fun:pthread_exit
+   fun:os_thread_exit
+   fun:trx_rollback_or_clean_all_recovered
+   fun:start_thread
+   fun:clone
+}
+
+{
+   pwrite64 issue
+   Memcheck:Param
+   pwrite64(buf)
+   ...
+   fun:azclose
+   fun:_ZN12ArchiveShareD1Ev
+   fun:_ZN10ha_archive10free_shareEv
+   fun:_ZN10ha_archive5closeEv
+   ...
+   fun:session_thread
+   fun:start_thread
+}
+

